﻿using System;

namespace SolutionManager.Business.Events
{
	public sealed class ThreadCompletedEventArgs : EventArgs
	{
		#region Fields

		System.Collections.Generic.List<SolutionManager.IO.Solution> _solutions = null;

		#endregion

		#region Constructors

		public ThreadCompletedEventArgs(System.Collections.Generic.List<SolutionManager.IO.Solution> solutions)
		{
			_solutions = solutions;
		}

		#endregion

		#region Properties

		public System.Collections.Generic.List<SolutionManager.IO.Solution> Solutions
		{
			get
			{
				return _solutions;
			}
		}

		#endregion
	}
}