﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using SolutionManager.IO;

namespace SolutionManager.Business.UI.Froms
{
	public interface IDirectorySettings
	{
		bool SearchChildren
		{
			get;
			set;
		}

		bool AddSearch
		{
			get;
			set;
		}

		string Path
		{
			get;
			set;
		}

		string FriendlyName
		{
			get;
			set;
		}

		TreeNode ParentTreeNode
		{
			get;
		}

		SearchDirectory Directory
		{
			get;
		}
	}
}
