﻿using System;
using System.Xml;
using System.IO;

namespace SolutionManager.IO
{
	public abstract class FileBase
	{
		#region Fields

		private FileInfo _fileInfo = null;

		#endregion

		#region Constructors

		internal FileBase()
		{
		}

		public FileBase(string fileName)
		{
			_fileInfo = new FileInfo(fileName);
		}

		#endregion

		#region Properties

		public string Name
		{
			get
			{
				return _fileInfo.Name;
			}
		}

		public string FullName
		{
			get
			{
				return _fileInfo.FullName;
			}
		}

		public string DirectoryName
		{
			get
			{
				return _fileInfo.DirectoryName;
			}
		}

		public DateTime CreationTime
		{
			get
			{
				return _fileInfo.CreationTime;
			}
		}

		#endregion
	}
}
